Skip to main content
GET
/
markets
/
orderbooks
Get Multiple Market Orderbooks
curl --request GET \
  --url https://api.elections.kalshi.com/trade-api/v2/markets/orderbooks \
  --header 'KALSHI-ACCESS-KEY: <api-key>' \
  --header 'KALSHI-ACCESS-SIGNATURE: <api-key>' \
  --header 'KALSHI-ACCESS-TIMESTAMP: <api-key>'
{
  "orderbooks": [
    {
      "ticker": "<string>",
      "orderbook_fp": {
        "yes_dollars": [
          [
            "0.1500",
            "100.00"
          ]
        ],
        "no_dollars": [
          [
            "0.1500",
            "100.00"
          ]
        ]
      }
    }
  ]
}

Authorizations

KALSHI-ACCESS-KEY
string
header
required

Your API key ID

KALSHI-ACCESS-SIGNATURE
string
header
required

RSA-PSS signature of the request

KALSHI-ACCESS-TIMESTAMP
string
header
required

Request timestamp in milliseconds

Query Parameters

tickers
string[]
required

List of market tickers to fetch orderbooks for

Required array length: 1 - 100 elements
Maximum string length: 200

Response

Orderbooks retrieved successfully

orderbooks
object[]
required